Main Page Groups Namespaces

# sigc::slot<T_return, T_arg1, T_arg2> Class Template Reference

Convenience wrapper for the numbered sigc::slot2 template. More...

Inheritance diagram for sigc::slot< T_return, T_arg1, T_arg2 >:

[legend]
List of all members.

## Public Types

typedef slot2< T_return, T_arg1, T_arg2 > | parent_type

## Public Member Functions

| slot ()
template <class T_functor> | slot (const T_functor& _A_func)
| Constructs a slot from an arbitrary functor.
| slot (const slot& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2>
class sigc::slot< T_return, T_arg1, T_arg2 >

Convenience wrapper for the numbered sigc::slot2 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::slot template for 2 argument(s).

## Member Typedef Documentation

template <class T_return, class T_arg1, class T_arg2>
typedef slot2<T_return, T_arg1,T_arg2> sigc::slot<T_return, T_arg1, T_arg2>::parent_type

| Reimplemented in SigC::Slot2<T_return, T_arg1, T_arg2>.

## Member Function Documentation

template <class T_return, class T_arg1, class T_arg2>
sigc::slot<T_return, T_arg1, T_arg2>::slot | ( | const slot<T_return, T_arg1, T_arg2>& | src | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2>
template <class T_functor>
sigc::slot<T_return, T_arg1, T_arg2>::slot | ( | const T_functor& | _A_func | ) | `[inline]`

Constructs a slot from an arbitrary functor.

Parameters:

  _A_func | The desirer functor the new slot should be assigned to.

template <class T_return, class T_arg1, class T_arg2>
sigc::slot<T_return, T_arg1, T_arg2>::slot | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- functors/slot.h